LootJS.modifiers((event) => {
    const grassBlocks = [
        "minecraft:grass",
        "minecraft:tall_grass",
        "biomesoplenty:dune_grass",
        "biomesoplenty:desert_grass",
        "biomesoplenty:dead_grass",
        "biomesoplenty:watergrass",
        "biomesoplenty:sprout",
        "biomesoplenty:bush",
        "biomesoplenty:clover",
        "biomesoplenty:barley",
        "biomesoplenty:sea_oats",
        "biomesoplenty:cattail",
        "biomesoplenty:reed"
    ];

    event.addBlockLootModifier(grassBlocks)
        .matchMainHand("#notreepunching:knives")
        .randomChance(0.5) 
        .addLoot("notreepunching:plant_fiber");
});